Run of fresh-snapshots for ruby-gettext-setup

Try this locally package):

debcheckout ruby-gettext-setup
cd ruby-gettext-setup
DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
[2022-03-21 22:43:32] Opening branch at https://salsa.debian.org/puppet-team/ruby-gettext-setup.git/,branch=master
[2022-03-21 22:43:33] Using cached branch https://janitor.debian.net/git/ruby-gettext-setup/,branch=debian%2Flatest
[2022-03-21 22:43:34] Total 460 (delta 30), reused 0 (delta 0), pack-reused 419
[2022-03-21 22:43:34] 
[2022-03-21 22:43:35] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-03-21 22:43:35] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-03-21 22:43:35] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-03-21 22:43:35] Workspace ready - starting.
[2022-03-21 22:43:35] Running ['deb-new-upstream', '--snapshot', '--refresh-patches']
[2022-03-21 22:43:36] Assuming changelog does not need to be updated, since changelog entries are usually updated in separate commits.
Using upstream branch https://github.com/puppetlabs/gettext-setup-gem.git (from configuration)
Total 728 (delta 0), reused 0 (delta 0), pack-reused 728
Using version string 1.0+git20200124.1.97bf52b.
No upstream upstream-revision format specified, trying tag:0.34
Not including upstream history, since previous upstream version (0.34) is not present in packaging branch history.
Looking for upstream 1.0+git20200124.1.97bf52b in upstream branch <RemoteGitBranch('https://github.com/puppetlabs/gettext-setup-gem.git/', 'master')>.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitorgv_dmlgy/ruby-gettext-setup/debian
Opened schroot session unstable-amd64-sbuild-349ea2a3-abf4-4cfb-ac18-6a01453da5eb (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 12),\n               gem2deb,\n               gettext,\n               git,\n               rake,\n               ruby-fast-gettext (>= 1.1.0),\n               ruby-gettext (>= 3.0.2),\n               ruby-locale,\n               ruby-rspec,\n               ruby-rspec-expectations,\n               ruby-rspec-mocks,\n               ruby-simplecov']
Creating directory /root in schroot session.
Using dependency resolver: [apt, cpan, ctan, pypi, npm, go, hackage, cran, cran, octave-forge]
No build tools found, falling back to simple export.
Exporting upstream branch revision b'git-v1:97bf52bcf0eb629411e9401044ede4de7fc262e1' to create the tarball
Searching for revision importing ruby-gettext-setup version 0.34 on branch upstream, packaging branch, tag debian/0.34-2, tag debian/0.34-1.
Upstream import of 0.34 lacks a tag. Set one by running: brz tag -rrevid:git-v1:d55078c9995bd8fc358872be1e623e3d7399cddf upstream/0.34
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.31-1 points at non-present sha aa9da0ab8f4047b4bd6b4a23102ccf00cefeaeb3
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.31 points at non-present sha ee4fedbe6620844d51c9d544139125b6857a715a
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.3-2 points at non-present sha b9894579a1b347c2331ab033045d5025d0a787d1
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.3-1 points at non-present sha 7a0152cf00b3c17f381e80f6ae115a7692e4388e
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.3 points at non-present sha b095466aeaf7cac2eff5805b4cbb78af0f7955b7
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.30 points at non-present sha 0d22dfe131cd442dc30b05794f2a600fa482e774
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.34 points at non-present sha 34c7b4fde840934f1b0126229e24f76672851b1a
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.30-2 points at non-present sha 6d6821720197a2c8b204e44bd111d0de6c0963b7
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.34-2 points at non-present sha 441d6cc9cf3f6eaff53d423ee8ea944e67ea6283
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.34-1 points at non-present sha def8b3ced5ba5083ba101c9f77de18f10a2009a1
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.30-1 points at non-present sha 492273547a818b8cbcdcd1dd10161695230ebe63
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.25 points at non-present sha 03cbc048a2d37ba2dbd2402fca82c585162b1c60
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/0.7 points at non-present sha 6ae1132c49dd9a17446d3b151e4bc98836b3ca1e
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/0.7-1 points at non-present sha 0461cf6b66b7e16e047797b0071dca13a37871b3
  warnings.warn(
debian/0.31-1 does not point to a valid object
upstream/0.31 does not point to a valid object
debian/0.3-2 does not point to a valid object
debian/0.3-1 does not point to a valid object
upstream/0.3 does not point to a valid object
upstream/0.30 does not point to a valid object
upstream/0.34 does not point to a valid object
debian/0.30-2 does not point to a valid object
debian/0.34-2 does not point to a valid object
debian/0.34-1 does not point to a valid object
debian/0.30-1 does not point to a valid object
upstream/0.25 does not point to a valid object
upstream/0.7 does not point to a valid object
debian/0.7-1 does not point to a valid object
Imported ruby-gettext-setup_1.0+git20200124.1.97bf52b.orig.tar.gz with pristine-tar.
All changes applied successfully.
gbp:error: revision 'debian/0.34-2^0' not found
revision 'debian/0.34-2^0' not found
Committing to: /tmp/janitorgv_dmlgy/ruby-gettext-setup/
added .gitignore
added .rubocop.yml
added .travis.yml
added CODEOWNERS
added Gemfile
added Rakefile
modified debian/changelog
modified gettext-setup.gemspec
deleted spec/fixtures/tmp_locales
deleted spec/fixtures/tmp_locales/config.yaml
deleted spec/fixtures/tmp_locales/de
deleted spec/fixtures/tmp_locales/de/sinatra-i18n.po
deleted spec/fixtures/tmp_locales/sinatra-i18n.pot
Committed revision 60.
Merged new upstream version 1.0+git20200124.1.97bf52b (previous: 0.34)
Refresh quilt patches.
An error occurred refreshing quilt patch 0002-Loosen-dependencies.patch: 

Applying patch debian/patches/0002-Loosen-dependencies.patch
patching file gettext-setup.gemspec
Hunk #1 FAILED at 27.
Hunk #2 FAILED at 39.
Hunk #3 FAILED at 52.
3 out of 3 hunks FAILED -- rejects in file gettext-setup.gemspec
Patch debian/patches/0002-Loosen-dependencies.patch does not apply (enforce with -f)

Full worker log